import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "core-js/modules/es.function.name.js";
import { defineComponent } from 'vue-demi';
import { RingProgress } from '@antv/g2plot';
import BaseChart from '../../components/base';
var RingProgressChart = defineComponent({
  name: 'RingProgressChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": RingProgress
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

RingProgressChart.install = function (app) {
  app.component(RingProgressChart.name, RingProgressChart);
};

export default RingProgressChart;